\tikzstyle{commit}=[draw,circle,fill=cyan!80]

Historique local:

\begin{tikzpicture}
	\node[commit] (C1)at(0,0){C1};
	\node[commit] (C2)at(2,0){C2};
	\node[commit] (C3)at(4,0){C3};
	\node[commit] (C4)at(6,0){C4};
	\draw[->, >=latex] (C4) -- (C3) ;
	\draw[->, >=latex] (C3) -- (C2) ;
	\draw[->, >=latex] (C2) -- (C1) ;
\end{tikzpicture}

Historique distant:

\begin{tikzpicture}
	\node[commit] (C1)at(0,0){C1};
	\node[commit] (C2)at(2,0){C2};
	\node[commit, text=red] (C3')at(4,0){C3'};
	\draw[->, >=latex] (C3') -- (C2) ;
	\draw[->, >=latex] (C2) -- (C1) ;
\end{tikzpicture}
